{
  "name": "ci-report",
  "version": "1.0.0",
  "description": "",
  "main": "src/index.js",
  "scripts": {
    "help": "npm-scripts-info",
    "info": "run-s help",
    "install": "cd www && npm install",
    "serve": "node ./src/index.js",
    "serve:watch": "run-s 'watch -- run-s serve'",
    "serve:dev": "run-p 'watch -- run-s serve' 'run:front build:watch'",
    "test": "mocha test",
    "test:coverage": "nyc -n src -a -r lcovonly -r text ./node_modules/.bin/_mocha test",
    "test:ci": "run-s test:coverage 'run:front test:ci'",
    "test:watch": "run-s 'watch -- run-s test'",
    "run:front": "cd www; run-s ",
    "build": "run-s 'run:front build'",
    "build:prod": "run-s 'run:front build:prod'",
    "watch:front": "nodemon -w www/src -w www/test -x ",
    "watch": "nodemon -w src -w test -x "
  },
  "scripts-info": {
    "help": "display npm scripts help",
    "info": "alias for 'help'",
    "install": "run npm install (front and back)",
    "server": "start server",
    "test": "run unit-tests",
    "test:front": "run front-end tests",
    "build": "build for development/debug",
    "build:prod": "build for production",
    "lint": "run linting tools",
    "lint:front": "run front-end linting tools",
    "watch": "watch another command, ex: npm run watch -- run-s test"
  },
  "author": "",
  "license": "ISC",
  "dependencies": {
    "axios": "^1.5.0",
    "debug": "^4.3.4",
    "express": "^4.18.2",
    "express-static-gzip": "^2.1.7",
    "lodash": "^4.17.21",
    "npm-run-all": "^4.1.5",
    "npm-scripts-info": "^0.3.9",
    "pug": "^3.0.2"
  },
  "devDependencies": {
    "chai": "^4.3.8",
    "dirty-chai": "^2.0.1",
    "mocha": "^10.2.0",
    "nodemon": "^3.0.1",
    "nyc": "^15.1.0"
  }
}
